diff --git a/doc/userguide.sgml b/doc/userguide.sgml
index 2c34cab..4f07c80 100644
--- a/doc/userguide.sgml
+++ b/doc/userguide.sgml
@@ -1242,67 +1278,195 @@ When you're done, you should see something very like this:
 		<sect1 id="PortOverride">
 			<title>Port override syntax</title>
 
-			<para>The port to which to connect can be overridden using a <productname>FreeTDS</productname> extended syntax.
+			<para>The port to which to connect can be overridden using a &freetds; extended syntax.
 			</para>
 
-			<para>A port may be appended to the dataserver name:   <literal><replaceable>dataserver</replaceable>:<replaceable>port</replaceable></literal>.  <productname>FreeTDS</productname> will attempt to connect to specified port. Please note <replaceable>port</replaceable> must be a number; a service name is not supported.
+			<para>A port may be appended to the servername in the form  <literal><replaceable>servername</replaceable>:<replaceable>port</replaceable></literal>.  &freetds; will attempt to connect to specified port. Please note <replaceable>port</replaceable> must be a number; a service name is not supported.
 			</para>
 
-			<para>If you specify <literal><replaceable>dataserver</replaceable>\<replaceable>instance</replaceable></literal>
-			as dataserver during login, <productname>FreeTDS</productname> will attempt to connect to specified instance.
+			<para>If you specify <literal><replaceable>servername</replaceable>\<replaceable>instance</replaceable></literal>
+			as servername during login, &freetds; will attempt to connect to specified instance.
 			Only Microsoft SQL Server instances are supported.  (This server feature was introduced with SQL Server 2000.)
 			</para>
 
-			<para>Note that other <filename>freetds.conf</> properties still apply.
+			<para>Note that other &freetdsconf; properties still apply.
 			</para>
-			<para> For the technically curious: each SQL Server <firstterm>instance</> appears on the network as a server listening at a port.  The old way &mdash; and it still works &mdash; is to designate each instance in <filename>freetds.conf</> as a separate server.  The new <quote>named instance</> notation, if we can call it that, instead uses the server to discover the port.  The library sends a UDP packet containing the instance name to the server at a <emphasis>well known port</>, port 1434.  The server responds with a port number.  <productname>FreeTDS</productname> then uses that number to connect in the usual way.  
+			<para> For the technically curious: each SQL Server <firstterm>instance</> appears on the network as a server listening at a port.  The old way &mdash; and it still works &mdash; is to designate each instance in &freetdsconf; as a separate server.  The new <quote>named instance</> notation, if we can call it that, instead uses the server to discover the port.  The library sends a UDP packet containing the instance name to the server at a <emphasis>well known port</>, port 1434.  The server responds with a port number.  &freetds; then uses that number to connect in the usual way.  
 			</para>
 		</sect1>
 		
 		<sect1 id="ConfirmInstall"><title>Confirm the installation</title>
 			
+			<para>We want to make sure that when your application requests a connection to your server, it actually works.  In detail, we want to know:
+				<itemizedlist>
+					<listitem><para>&freetds; can find and read &freetdsconf; </para></listitem>
+					<listitem><para><replaceable>servername</> exists in &freetdsconf; </para></listitem>
+					<listitem><para>a <replaceable>host</> property exists for <replaceable>servername</></para></listitem>
+					<listitem><para><replaceable>host</> can be resolved to a network address</para></listitem>
+					<listitem><para>the server is listening to the <replaceable>port</> or named <replaceable>instance</>   </para></listitem>
+					<listitem><para>the user can log in to the server </para></listitem>
+					<!-- listitem><para> </para></listitem -->
+				</itemizedlist>
+			
+			
+			Each of the above can be confirmed independently with tsql.  Once you're sure you can connect and log in, you can run the unit tests to see if the software works as promised.  
+			</para>
+			
 			<sect2 id="tsql"><title><application>tsql</application></title>
 
-			<para>The <firstterm>tsql</> utility is provided as part of FreeTDS expressly for troubleshooting.  <command>tsql</> is superficially similar to an <command>isql</>, but uses <filename>libtds</filename> directly, bypassing the client libraries (e.g., <systemitem class="library">db-lib</systemitem>).  </para>
-			<para><command>tsql</> can either use or bypass the configuration files.  By trying both options, you can usually determine if it's your dataserver that's not responding, or your configuration files that are messed up. </para> 
+			<para>The <firstterm>tsql</> utility is provided as part of FreeTDS expressly for troubleshooting.  <command>tsql</> is superficially similar to an <command>isql</>, but uses <filename>libtds</filename> directly, bypassing the client libraries (e.g., <systemitem class="library">db-lib</systemitem>).  For details on the use of <command>tsql</>, consult its man page. </para>
+			<para><command>tsql</> can either use or bypass the configuration files.  By trying both options, you can usually determine if it's your server that's not responding, or your configuration files that are messed up. </para> 
 
-			<bridgehead renderas='sect3'>Using <filename>freetds.conf</>:</bridgehead>
-			<para>
-<cmdsynopsis label="Syntax synopsis for tsql">
-  <command>tsql</command> 
-	<arg choice='req'>-S<replaceable>server</replaceable></arg>
-	<arg choice='req'>-U<replaceable>username</replaceable></arg>
-	<arg choice='opt'>-P<replaceable>password</replaceable></arg>
-	<arg choice='opt'>-C</arg>
-</cmdsynopsis>
+			<sect3 id="tsql.freetds.conf"><title><replaceable>servername</> Lookup</title>
+			<para><application>tsql</> reports where it looks for &freetdsconf; and other compile-time settings with <command>tsql -C</>.  
+			</para>
+<example id="e.g.tsqlShowsettings">
+<title>Show compile-time settings with <command>tsql</></title>
+<screen>
+<prompt>$ </prompt><userinput>tsql -C </userinput>
+<prompt>Password: </prompt>
+<computeroutput>
+locale is "C"
+locale charset is "646"
+Compile-time settings (established with the "configure" script):
+                           Version: freetds &version;
+            freetds.conf directory: /usr/local/etc
+    MS db-lib source compatibility: no
+       Sybase binary compatibility: no
+                     Thread safety: yes
+                     iconv library: no
+                       TDS version: 7.0
+                             iODBC: no
+                          unixodbc: no
+</computeroutput>
+</screen>
+</example>
+
+			<para>When <replaceable>servername</> cannot be converted to an address, up to two messages may result.  Successful conversion (by any means) never produces an error message.  
+			
+<example id="e.g.notfound">
+<title>Failure to find or resolve <replaceable>servername</></title>
+<screen>
+<prompt>$ </prompt><userinput>tsql -S <replaceable>nobox</replaceable> -U <replaceable>sa</replaceable> </userinput>
+<prompt>Password: </prompt>
+<computeroutput>
+locale is "C"
+locale charset is "646"
+Msg 20012, Level 2, State -1, Server OpenClient, Line -1
+Server name not found in configuration files.
+Msg 20013, Level 2, State -1, Server OpenClient, Line -1
+Unknown host machine name.
+There was a problem connecting to the server
+</computeroutput>
+<prompt>$ </prompt><userinput>host emforester</userinput>
+<computeroutput>
+Host not found.
+</computeroutput>
+</screen>
+</example>
+
+In the above case <literal>nobox</> was not found in &freetdsconf; and was is not a valid hostname according to DNS.  
 			</para>
 
-<example id="e.g.tsqlFail">
+			<para>If <replaceable>servername</> is found but refers to an invalid hostname, only message 20013 is returned. 
+
+<example id="e.g.badname">
+<title>Failure to resolve hostname for <replaceable>servername</></title>
+<screen>
+<prompt>$ </prompt><userinput>tsql -S <replaceable>nonesuch</replaceable> -U <replaceable>sa</replaceable>   </userinput>
+<prompt>Password: </prompt>
+<computeroutput>
+locale is "C"
+locale charset is "646"
+Msg 20013, Level 2, State -1, Server OpenClient, Line -1
+Unknown host machine name.
+There was a problem connecting to the server
+</computeroutput>
+</screen>
+</example>	
+			Unfortunately, the <quote>host machine name</quote> isn't mentioned in the error message.  Fortunately, this kind of setup problem is rarely encountered by users.  
+			</para>
+			<para>If name lookup succeeds, &freetds; next attempts to connect to the server.  <emphasis>To connect</> means to form at TCP connection by calling <function>connect(2)</>.  A valid connection must exist before any information can be exchanged with the server.  Specifically, we need a connection before we can log in.  
+			</para>
+			<para>A few things can go wrong at this point.  The address returned by DNS may not be that of the machine hosting the server.  The machine may be down.  The server may not be running.  The server may be running but not listening to the port &freetds; is attempting to connect to.  In rare cases, both ends are correctly configured, but a firewall stands in the way. 
+			</para>
+			<para>If no server accepts the connection, no connection can be established.  It's difficult to know why, and the message is consequently vague. 
+
+<example id="e.g.noconnect">
 <title>Failing to connect with tsql</title>
 <screen>
 <prompt>$ </prompt><userinput>tsql -S <replaceable>emforester</replaceable> -U <replaceable>sa</replaceable>   #only connect?</userinput>
 <prompt>Password: </prompt>
 <computeroutput>
-src/tds/login.c: tds_connect: 192.168.1.12:4100: Connection refused
-Msg 20009, Level 9, State 0, Server OpenClient, Line 0
-Server is unavailable or does not exist.
+Msg 20009, Level 9, State -1, Server OpenClient, Line -1
+Unable to connect: Adaptive Server is unavailable or does not exist
 There was a problem connecting to the server
 </computeroutput>
 </screen>
 </example>
+			If you get message 20009, remember you haven't connected to the machine.  It's a configuration or network issue,  <emphasis>not a protocol failure</>.  Verify the server is up, has the name and IP address &freetds; is using, and is listening to the configured port.  
+			</para>
+			<para>Named instances provide another way for connections to fail.  You can verify the instance name and the port the server is using with <command>tsql -L</>.  
+	
+<example id="e.g.instance.name">
+<title>Getting instance information with tsql</title>
+<screen>
+<prompt>$ </prompt><userinput>tsql -LH <replaceable>servername</replaceable> </userinput>
+<computeroutput>
+locale is "C"
+locale charset is "646"
+     ServerName TITAN
+   InstanceName MSSQLSERVER
+    IsClustered No
+        Version 8.00.194
+            tcp 1433
+             np \\TITAN\pipe\sql\query
+</computeroutput>
+</screen>
+</example>
+			<replaceable>servername</replaceable> could be configured to use instance <literal>MSSQLSERVER</> or port <literal>1433</>.  
+			</para>
 
-<example id="e.g.tsqlservername">
-<title>Connect with <command>tsql</> using a servername in <filename>freetds.conf</></title>
+			<para>After a valid connection is formed, &freetds; sends a login packet.  The TDS protocol provides no way to interrogate the server for its TDS version.  If you specify the wrong one, you'll get an error. 
+	
+<example id="e.g.bad.tdsver">
+<title>Using the wrong protocol for the server</title>
 <screen>
-<prompt>$ </prompt><userinput>tsql -S <replaceable>sandbox</replaceable> -U <replaceable>sa</replaceable></userinput>
+<prompt>$ </prompt><userinput>tsql -S <replaceable>servername</replaceable> </userinput>
 <prompt>Password: </prompt>
 <computeroutput>
-1> 
+Msg 20017, Level 9, State -1, Server OpenClient, Line -1
+Unexpected EOF from the server
+Msg 20002, Level 9, State -1, Server OpenClient, Line -1
+Adaptive Server connection failed
+There was a problem connecting to the server
+</computeroutput>
+</screen>
+</example>
+
+			<quote>Unexpected EOF from the server</quote> seems to be a fairly common message when the wrong TDS version is used.  Note that there's no complaint about the login.  
+			</para>
+			
+			<para>If the right TDS version is used, the server will accept the login packet and examine its contents to authenticate the user.  If there's a problem, the server will say so.  This is the first time we're receiving a message from the server.  <footnote><para>If you'd like to help the project and want to so something fairly easy but still useful, modify tsql to distinguish clearly between errors returned by the library, and those returned by the server.  Errors should be marked <quote>error</> and don't return <emphasis>state</> or a line number, but can contain an error code (and message) from the operating system.</para></footnote>
+			
+
+<example id="e.g.bad.login">
+<title>Login failure</title>
+<screen>
+<prompt>$ </prompt><userinput>tsql -S <replaceable>servername</replaceable> -U notme </userinput>
+<prompt>Password: </prompt>
+<computeroutput>
+Msg 18456, Level 14, State 1, Server [<replaceable>servername</replaceable>], Line 0
+Login failed for user 'notme'.
+Msg 20002, Level 9, State -1, Server OpenClient, Line -1
+Adaptive Server connection failed
+There was a problem connecting to the server
 </computeroutput>
 </screen>
 </example>
+			</para>
 
-			<bridgehead renderas='sect3'>Bypassing <filename>freetds.conf</>:</bridgehead>
+			<bridgehead renderas='sect3'>Bypassing &freetdsconf;:</bridgehead>
 			<para>
 <cmdsynopsis label="Syntax synopsis for tsql">
   <command>tsql</command> 
@@ -1313,7 +1477,7 @@ There was a problem connecting to the server
 	<arg choice='opt'>-C</arg>
 </cmdsynopsis>
 
-			Keep in mind that the TDS protocol version normally comes from <filename>freetds.conf</>.  When using <command>tsql</> this way, the library uses the compiled-in default (set by the <filename>configure</> script).  If that's not what you want, override it using the <envar>TDSVER</> environment variable.  
+			Keep in mind that the TDS protocol version normally comes from &freetdsconf;.  When using <command>tsql</> this way, the library uses the compiled-in default (set by the <filename>configure</> script).  If that's not what you want, override it using the <envar>TDSVER</> environment variable.  
 			</para>
 
 <example id="e.g.tsqlhostname">
@@ -1329,35 +1493,14 @@ There was a problem connecting to the server
 
 
 
-<para>Another handy diagnostic feature of <command>tsql</> is that it can show you the compile-time settings of the installed version of <productname>FreeTDS</productname>:  </para>
-
-<example id="e.g.tsqlShowsettings">
-<title>Show compile-time settings with <command>tsql</></title>
-<screen>
-<prompt>$ </prompt><userinput>tsql -C </userinput>
-<prompt>Password: </prompt>
-<computeroutput>
-locale is "C"
-locale charset is "646"
-Compile-time settings (established with the "configure" script):
-                           Version: freetds v0.62.dev.20030804
-    MS db-lib source compatibility: no
-       Sybase binary compatibility: unknown
-                     Thread safety: no
-                     iconv library: no
-                       TDS version: 7.0
-                             iODBC: no
-                          unixodbc: no
-</computeroutput>
-</screen>
-</example>
 			<para>
 For details on <command>tsql</>, see the its man page.  
 			</para>
+			</sect3>
 			</sect2>
 			<sect2 id="Tests"><title><application>Unit Tests</application></title>
 			<para>
-The source code directory of each <productname>FreeTDS</productname> library includes a <filename>unittests</> directory.  
+The source code directory of each &freetds; library includes a <filename>unittests</> directory.  
 
 <screen>
 <prompt>$ </prompt><userinput>ls -d -1 src/*/unittests</userinput>
@@ -1372,7 +1515,7 @@ src/tds/unittests
 The unit tests rely on the <filename>PWD</> file in root of the FreeTDS source tree.  
 <filename>PWD</> holds a username, password, servername, and database to be used for the unit tests.  We try to make sure to leave nothing behind: any data and objects created are either temporary or removed at the end of the test.  The tests should all work, subject to disclaimers in the directory's <filename>README</>.  			</para>
 			<para>
-To invoke the tests, edit the <filename>PWD</> file and issue the command <command>make check</command>.  In order to execute all tests successfully, you must indicate a working, available dataserver in <filename>PWD</>.
+To invoke the tests, edit the <filename>PWD</> file and issue the command <command>make check</command>.  In order to execute all tests successfully, you must indicate a working, available servername in <filename>PWD</>.
 Some tests require permission to create stored procedures on server.
 			</para>
 			<para>
@@ -1380,7 +1523,7 @@ To complete successfully, the ODBC tests require some additional setup.  In your
 			</para>
 			<para>
 <tip><para>
-The <filename>PWD</> provided by <productname>FreeTDS</productname> includes usernames and passwords that probably don't exist on your server.  
+The <filename>PWD</> provided by &freetds; includes usernames and passwords that probably don't exist on your server.  
 </para></tip>
 			</para>
 			</sect2>
@@ -1404,10 +1547,10 @@ The ODBC 3.0 specification introduced a new function: <function>SQLDriverConnect
 The connection attributes are provided as a single argument, a string of concatenated name-value pairs.  <function>SQLDriverConnect</> subsumed the functionality of <function>SQLConnect</>, in that the name-value pair string allowed the caller to pass &mdash;  in addition the the original <literal>DSN</>, <literal>UID</>, and <literal>PWD</> &mdash; any other parameters the driver could accept. Moreover, the application can specify which driver to use.  In effect, it became possible to specify the entire set of DSN properties as parameters to <function>SQLDriverConnect</>, obviating the need for <filename>odbc.ini</>.  This led to the use of the so-called <firstterm>DSN-less</> configuration, a setup with no <filename>odbc.ini</>.  
 			</para>
 			<para>
-But <productname>FreeTDS</> did not start out as an ODBC driver (remember db-lib and ct-lib), and has always had its own way to store server properties: <filename>freetds.conf</>.  When Brian added the <productname>FreeTDS</> ODBC driver, he began by supporting the old <function>SQLConnect</>, using <filename>odbc.ini</> to describe the DSN.  That choice complied with the expectations of the Driver Managers, and minimized the amount of duplicated information in the configuration files.  But it can be a little confusing, too, because <filename>odbc.ini</> in effect points to <filename>freetds.conf</>.  We call this configuration <firstterm>ODBC-combined</>, because it supports all three <productname>FreeTDS</> libraries.  
+But <productname>FreeTDS</> did not start out as an ODBC driver (remember db-lib and ct-lib), and has always had its own way to store server properties: &freetdsconf;.  When Brian added the <productname>FreeTDS</> ODBC driver, he began by supporting the old <function>SQLConnect</>, using <filename>odbc.ini</> to describe the DSN.  That choice complied with the expectations of the Driver Managers, and minimized the amount of duplicated information in the configuration files.  But it can be a little confusing, too, because <filename>odbc.ini</> in effect points to &freetdsconf;.  We call this configuration <firstterm>ODBC-combined</>, because it supports all three <productname>FreeTDS</> libraries.  
 			</para>
 			<para>
-With version 0.60, the <productname>FreeTDS</> ODBC library started to see fuller implementation. The driver was made able to read the connection attributes directly from <filename>odbc.ini</>, rather than leaning on <filename>freetds.conf</>.  For installations that don't need db-lib and ct-lib, this <firstterm>ODBC-only</> setup is simpler.  			</para>
+With version 0.60, the <productname>FreeTDS</> ODBC library started to see fuller implementation. The driver was made able to read the connection attributes directly from <filename>odbc.ini</>, rather than leaning on &freetdsconf;.  For installations that don't need db-lib and ct-lib, this <firstterm>ODBC-only</> setup is simpler.  			</para>
 			<para>
 More recently, <function>SQLDriverConnect</> was added to <productname>FreeTDS</>.  As described above, this function allows the application to specify connection attributes with reference to either, or neither, configuration file.  It's your choice.  In making that choice, keep the following terms clear in your mind:
 			</para>
@@ -1416,7 +1559,7 @@ More recently, <function>SQLDriverConnect</> was added to <productname>FreeTDS</
 	<varlistentry>
 		<term><literal>SERVERNAME</></term>
 		<listitem>
-			<para>specifies the <literal>[<replaceable>dataserver</>]</literal> entry in <filename>freetds.conf</>. </para>
+			<para>specifies the <literal>[<replaceable>servername</>]</literal> entry in &freetdsconf;. </para>
 		</listitem>
 	</varlistentry>	
 	<varlistentry>
@@ -1435,7 +1578,7 @@ More recently, <function>SQLDriverConnect</> was added to <productname>FreeTDS</
 </variablelist>
 
 			<para>
-In sum, <productname>FreeTDS</productname> supports three ODBC three choices:
+In sum, &freetds; supports three ODBC three choices:
 			</para>
 
 
@@ -1450,13 +1593,13 @@ In sum, <productname>FreeTDS</productname> supports three ODBC three choices:
 		<term>ODBC-only</term>
 		<listitem>
 			<para><emphasis>All</> connection information
-is specified in <filename>odbc.ini</>, without the need for <filename>freetds.conf</>.  This is the <quote>traditional</> ODBC setup.  </para>
+is specified in <filename>odbc.ini</>, without the need for &freetdsconf;.  This is the <quote>traditional</> ODBC setup.  </para>
 		</listitem>
 	</varlistentry>	
 	<varlistentry>
 		<term>ODBC-combined</term>
 		<listitem>
-			<para>Connection information maintained in <filename>freetds.conf</>.  <filename>odbc.ini</> contains DSN entries that refer to dataserver names in <filename>freetds.conf</>.  </para>
+			<para>Connection information maintained in &freetdsconf;.  <filename>odbc.ini</> contains DSN entries that refer to servernames in &freetdsconf;.  </para>
 		</listitem>
 	</varlistentry>	
 </variablelist>
@@ -1520,9 +1663,9 @@ The following table defines all possible ODBC connection attributes for the <pro
 <tbody>
 	<row>
 	<entry><literal>Servername</></entry>
-	<entry>A valid <filename>freetds.conf</> server section</entry>
+	<entry>A valid &freetdsconf; server section</entry>
 	<entry>none</entry>
-	<entry>A <filename>freetds.conf</> servername, not a hostname as known to DNS. If you want to use ODBC-only configuration, use  <literal>Server</> instead.</entry>
+	<entry>A &freetdsconf; servername, not a hostname as known to DNS. If you want to use ODBC-only configuration, use  <literal>Server</> instead.</entry>
 	</row>
 	<row>
 	<entry><literal>Server</></entry>
@@ -1534,7 +1677,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry><literal>Port</></entry>
 	<entry>Any TCP port</entry>
 	<entry>Depends on the TDS version specified with <command>configure</></entry>
-	<entry>The TCP port  where the dataserver is listening.  </entry>
+	<entry>The TCP port  where the servername is listening.  </entry>
 	</row>
 	<row>
 	<entry><literal>TDS_Version</></entry>
@@ -1545,7 +1688,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<row>
 	<entry><literal>ClientCharset</></entry>
 	<entry>A name recognized by the iconv library linked to FreeTDS.
-	This correspond to <literal>client charset</> in <filename>freetds.conf</>.</entry>
+	This correspond to <literal>client charset</> in &freetdsconf;.</entry>
 	<entry>ISO8859-1</entry>
 	<entry>Character set (encoding) used by the client.</entry>
 	</row>
@@ -1565,7 +1708,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry><literal>Address</></entry>
 	<entry>Any</entry>
 	<entry>none</entry>
-	<entry>IP address of the dataserver.  Useful if you want to specify a server by address,  rather than by name.  The format is <replaceable>ip,port</>  or simply <replaceable>ip</> in standard dotted-decimal notation.   </entry>
+	<entry>IP address of the servername.  Useful if you want to specify a server by address,  rather than by name.  The format is <replaceable>ip,port</>  or simply <replaceable>ip</> in standard dotted-decimal notation.   </entry>
 	</row>
 	<row>
 	<entry><literal>Database</></entry>
@@ -1592,7 +1735,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 		</sect1>
 		<sect1 id="dsnless"><title>DSN-less configuration</title>
 			<para>
-In a DSN-less configuration, the <filename>odbc.ini</filename> file is not consulted for server connection properties.  To connect to a dataserver, your application may refer to a dataserver entry in <filename>freetds.conf</>, or explicitly specify the dataserver's hostname (bypassing <filename>freetds.conf</>).    
+In a DSN-less configuration, the <filename>odbc.ini</filename> file is not consulted for server connection properties.  To connect to a servername, your application may refer to a servername entry in &freetdsconf;, or explicitly specify the servername's hostname (bypassing &freetdsconf;).    
 
 <example id="e.g.SampleDSNless"><title>Sample files for a DSN-less configuration</title>
 <para>The <filename>odbcinst.ini</filename> is quite brief: </para>
@@ -1605,7 +1748,7 @@ In a DSN-less configuration, the <filename>odbc.ini</filename> file is not consu
 	Driver = /usr/local/freetds/lib/libtdsodbc.so
 	</programlisting>
 </blockquote>
-<para>The <filename>freetds.conf</> might look something like:</para>
+<para>The &freetdsconf; might look something like:</para>
 <blockquote>
 	<programlisting>
 	;
@@ -1624,7 +1767,7 @@ In a DSN-less configuration, the <filename>odbc.ini</filename> file is not consu
 /*
  * application call
  */
-const char servername[] = "JDBC"; <footnote><para>refers to the <literal>[JDBC]</> entry in <filename>freetds.conf</>.</para></footnote>
+const char servername[] = "JDBC"; <footnote><para>refers to the <literal>[JDBC]</> entry in &freetdsconf;.</para></footnote>
 sprintf(tmp, "DRIVER=FreeTDS<footnote><para>refers to the <literal>[FreeTDS]</> entry in <filename>odbcinst.ini</>.</para></footnote>;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", 
 	servername, username, password, dbname);
 res = SQLDriverConnect(Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, 
@@ -1638,7 +1781,7 @@ if (!SQL_SUCCEEDED(res)) {
 
 You can even establish a connection without reference to either <filename>odbc.ini</filename> or <filename>freetd.conf</filename>.
 
-<example id="e.g.ConnectDSNlessnoconf"><title>Connecting with a DSN-less configuration that does not use <filename>freetds.conf</filename></title>
+<example id="e.g.ConnectDSNlessnoconf"><title>Connecting with a DSN-less configuration that does not use &freetdsconf;</title>
 <programlisting>
 /*
  * application call
@@ -1659,7 +1802,7 @@ if (!SQL_SUCCEEDED(res)) {
 		</sect1>
 		<sect1 id="odbcinionly"><title>ODBC-only configuration</title>
 			<para>
-An ODBC-only configuration relies solely on <filename>odbc.ini</> for server properties.  Other <productname>FreeTDS</productname> drivers don't know about <filename>odbc.ini</>.  
+An ODBC-only configuration relies solely on <filename>odbc.ini</> for server properties.  Other &freetds; drivers don't know about <filename>odbc.ini</>.  
  
 <example id="e.g.SampleODBConly"><title>Sample ODBC-only <filename>odbc.ini</filename> file</title>
 <programlisting>
@@ -1684,7 +1827,7 @@ Driver          = /usr/local/freetds/lib/libtdsodbc.so
 
 		<sect1 id="odbcombo"><title>ODBC-combined configuration</title>
 			<para>
-Like the DSN-less configuration, ODBC-combined keeps server properties in <filename>freetds.conf</>.  The difference is that your applications can refer to the server by its DSN.  To make that possible, the DSN entry in <filename>odbc.ini</> refers to the dataserver entry in <filename>freetds.conf</>.  
+Like the DSN-less configuration, ODBC-combined keeps server properties in &freetdsconf;.  The difference is that your applications can refer to the server by its DSN.  To make that possible, the DSN entry in <filename>odbc.ini</> refers to the servername entry in &freetdsconf;.  
 			
 <example id="e.g.SampleODBCcombo"><title>Sample ODBC-combined <filename>odbc.ini</filename> file</title>
 <programlisting>
@@ -1695,14 +1838,14 @@ Like the DSN-less configuration, ODBC-combined keeps server properties in <filen
 Driver          = /usr/local/freetds/lib/libtdsodbc.so
 Description     = Sybase JDBC Server
 Trace           = No
-Servername      = JDBC<footnote><para>Refers to the <literal>[JDBC]</> entry in  <filename>freetds.conf</>. </para></footnote>
+Servername      = JDBC<footnote><para>Refers to the <literal>[JDBC]</> entry in  &freetdsconf;. </para></footnote>
 Database        = pubs2
 
 [Default]
 Driver          = /usr/local/freetds/lib/libtdsodbc.so
 </programlisting>
 </example>
-<example id="e.g.samplecombofile"><title>Sample ODBC-combined <filename>freetds.conf</filename> file</title>
+<example id="e.g.samplecombofile"><title>Sample ODBC-combined &freetdsconf; file</title>
 <programlisting>
 ;
 ; freetds.conf
@@ -1715,7 +1858,7 @@ Driver          = /usr/local/freetds/lib/libtdsodbc.so
 </example>
 			</para>
 			<para>
-With this arrangement, an application can connect to the server in two ways, via its DSN (<literal>JDBCdsn</>), or its dataserver name (<literal>JDBC</>).  
+With this arrangement, an application can connect to the server in two ways, via its DSN (<literal>JDBCdsn</>), or its servername (<literal>JDBC</>).  
 			</para>
 		</sect1>
 		
